package com.sqx.modules.errand.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.errand.entity.ErrandIllegalType;

public interface ErrandIllegalTypeService extends IService<ErrandIllegalType> {

    Result selectIllegalTypeList();

    Result selectIllegalTypePage(Integer page, Integer limit);

    Result insertIllegalType(ErrandIllegalType errandIllegalType);

    Result updateIllegalType(ErrandIllegalType errandIllegalType);

    Result deleteIllegalType(Long id);

}
